---
linkTitle: "Documentation"
title: Introduction
---

Welcome to the Hextra documentation!

## What is Hextra?

**Hextra** is a modern, responsive and powerful [Hugo](https://gohugo.io/) theme built with [Tailwind CSS](https://tailwindcss.com/). It is inspired by Next.js theme [Nextra](https://github.com/shuding/nextra).

It is designed for building websites for documentation, blogs, books and landing pages.
It is easy to use out of the box, and batteries are included to make your site fast and beautiful.

## Features

- **Fast** - Hextra is built with Hugo, one of the fastest static site generators. Build and preview your site in just milliseconds.
- **Lightweight** - No need to use Node.js, npm, or any other heavy tooling to build your site. Hextra is solely dependent on Hugo, a single binary file.
- **Responsive** - Hextra looks great on mobile, tablet, and desktop. It also supports dark mode.
- **Full-text Search** - Hextra comes with built-in full-text search powered by [FlexSearch](https://github.com/nextapps-de/flexsearch).
- **Battery included** - Hextra supports Markdown, syntax highlighting, LaTeX, diagrams, and comes with Shortcodes components as building blocks for your Markdown content.
- **Muliti-language** - Hextra supports multi-language sites out of the box.
- **SEO friendly** - Hextra is optimized for search engines with support for Open Graph.
- **Customizable** - Hextra can be extended with your own templates and styles.

{{< cards >}}
{{< card link="/" title="Getting Started" icon="play" >}}
{{< /cards >}}
